uicc.toolkit

## Class ToolkitRegistrySystem

- java.lang.Object
- - uicc.toolkit.ToolkitRegistrySystem

-     public final class ToolkitRegistrySystem
      extends java.lang.Object

  The `ToolkitRegistrySystem` class provides the means to retrieve an instance of an Object implementing the `ToolkitRegistry` interface.
  See Also:
    `ToolkitInterface`, `ToolkitRegistry`

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ToolkitRegistry` | `getEntry()` This method is used by the Toolkit Applet to get a reference to its Toolkit Registry entry, so that it can handle its registration state to the toolkit events.
    `static boolean` | `isPrioritizedProactiveHandlerAvailableEventSet()` Allows to find out if another applet with higher or the same priority level has registered for EVENT_PROACTIVE_HANDLER_AVAILABLE.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getEntry

          public static ToolkitRegistry getEntry()
                                          throws ToolkitException

      This method is used by the Toolkit Applet to get a reference to its Toolkit Registry entry, so that it can handle its registration state to the toolkit events.

      This method returns `null` if the `Applet.register()` has not yet been invoked or if the server does not exist or if the server returns `null`.

      Returns:
        reference to the applet ToolkitRegistry object
      Throws:
        `ToolkitException` - with the following reason codes:
        - REGISTRY_ERROR in case of register error

    - #### isPrioritizedProactiveHandlerAvailableEventSet

          public static boolean isPrioritizedProactiveHandlerAvailableEventSet()

      Allows to find out if another applet with higher or the same priority level has registered for EVENT_PROACTIVE_HANDLER_AVAILABLE.
      Returns:
        true if another applet with higher or the same priority level is registered for EVENT_PROACTIVE_HANDLER_AVAILABLE, false otherwise